Skip to main content
`Ctrl`+`K`

# PFGetType

Gets the `PFType` name (as a string) from the `PF` context.

## Synopsis

    #include "petscpf.h"
    PetscErrorCode PFGetType(PF pf, PFType *type)

Not Collective

## Input Parameter

- pf - the function context

## Output Parameter

- type - name of function

## See Also

`PF`, `PFSetType()`

## Level

intermediate

## Location

src/vec/pf/interface/pf.c

Index of all PF routines
Table of Contents for all manual pages
Index of all manual pages